﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TowerDefender.Entities;
using System.Windows.Controls;
using TowerDefender.Graphics.Animated.Mobs;

namespace TowerDefender.Graphics
{
    public class PeonManager
    {
        public static PeonGraphics CreatePeonGraphics(Peon peon, Map m, Grid g)
        {
            PeonGraphics pg = new PeonGraphics(peon);
            g.Children.Add(pg);
            return pg;
        }

        public static void DrawPeon(PeonGraphics peonGraphics, Peon peon)
        {
            peonGraphics.SetValue(Grid.ColumnProperty, peon.coordinates.X - 1);
            peonGraphics.SetValue(Grid.RowProperty, peon.coordinates.Y - 1);
        }
    }
}
