﻿using TowerDefender.Data;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using TowerDefender.Entities;

namespace TowerDefenderTest
{
    
    
    /// <summary>
    ///This is a test class for FileManagerTest and is intended
    ///to contain all FileManagerTest Unit Tests
    ///</summary>
    [TestClass()]
    public class FileManagerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for FileManager Constructor
        ///</summary>
        [TestMethod()]
        public void FileManagerConstructorTest()
        {
            FileManager target = new FileManager();
            Assert.IsNotNull(target);
        }

        /// <summary>
        ///A test for LoadMap
        ///</summary>
        [TestMethod()]
        public void LoadMapTest()
        {
            string path = "../../../TowerDefender/Resources/Maps/Map1.xml";
            int expected = 41;
            int actual = FileManager.LoadMap(path).MapPath.Steps.Count;
            Assert.AreEqual(expected, actual);
        }
    }
}
