﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TowerDefender.Graphics;
using TowerDefender.Graphics.Maps;
using TowerDefender.Graphics.Animated;
using TowerDefender.Graphics.Animated.Mobs;

namespace TowerDefender
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            try
            {
                TowerDefender.Model.Engine engine = new Model.Engine(this);
                engine.Start();
                
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + "\n\n" +ex.StackTrace);
            }
            
        }

        
    }
}
